<!DOCTYPE html>
<html>
<head>
  <title>Connexion OAuth avec Google</title>
</head>
<body>
    <h1>mot de passe oublie</h1>
    <form action="http://localhost:3000/auth/modify-password-forgot" method="POST">
        <input id="password" type="password" />
        <input type="submit" />
    </form>

    <script>
        const newPassword = document.getElementById('password'); // Récupérez le nouveau mot de passe depuis le formulaire
        console.log(newPassword)
            // Effectuez une requête POST au serveur pour réinitialiser le mot de passe
            fetch('http://localhost:4000/modify-password-forgot', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({
                password,
                token,
            }),
            })
            .then((response) => {
            // Traitez la réponse du serveur ici
            console.log("ok", response)
            })
            .catch((error) => {
            // Gérez les erreurs de requête
            console.log("err", error)
            });
    </script>
</html>
